From a020f7cb50487129bf7964b6720637ead93485a9 Mon Sep 17 00:00:00 2001
From: dequis <dx@dxzone.com.ar>
Date: Tue, 16 Jul 2019 23:16:50 +0200
Subject: [PATCH] bitlbee: switch to gnutls as the recommended upstream ssl
 library

Also drop the libressl specific patch, which is patching out an error
return which the configure script emits because openssl (and therefore
libressl) is not officially supported.
---
 srcpkgs/bitlbee/patches/accept-libressl.patch | 12 ------------
 srcpkgs/bitlbee/template                      |  6 +++---
 2 files changed, 3 insertions(+), 15 deletions(-)
 delete mode 100644 srcpkgs/bitlbee/patches/accept-libressl.patch

diff --git a/srcpkgs/bitlbee/patches/accept-libressl.patch b/srcpkgs/bitlbee/patches/accept-libressl.patch
deleted file mode 100644
index 27810e8b01b..00000000000
--- a/srcpkgs/bitlbee/patches/accept-libressl.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- configure
-+++ configure
-@@ -620,8 +620,6 @@ elif [ "$ssl" = "openssl" ]; then
- 	echo ' *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"'
- 
- 	echo 'EFLAGS+=-lssl -lcrypto' >> Makefile.settings
--	
--	ret=1
- else
- 	echo
- 	echo 'ERROR: Unknown SSL library specified.'
-
diff --git a/srcpkgs/bitlbee/template b/srcpkgs/bitlbee/template
index 6f29365cce9..af748cab084 100644
--- a/srcpkgs/bitlbee/template
+++ b/srcpkgs/bitlbee/template
@@ -1,15 +1,15 @@
 # Template file for 'bitlbee'
 pkgname=bitlbee
 version=3.6
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--etcdir=/etc/bitlbee --pidfile=/run/${pkgname}/${pkgname}.pid
  --ipcsocket=/run/${pkgname}/${pkgname}.sock
- --ssl=openssl --strip=0 --otr=plugin
+ --strip=0 --otr=plugin
  $(vopt_if purple --purple=1 --purple=0)"
 make_install_args="install-etc"
 hostmakedepends="pkg-config asciidoc"
-makedepends="libgcrypt-devel libotr-devel libressl-devel libglib-devel
+makedepends="libgcrypt-devel libotr-devel libglib-devel gnutls-devel
  $(vopt_if purple libpurple-devel)"
 short_desc="Brings instant messaging (XMPP, MSN, Yahoo!, AIM, ICQ, Twitter) to IRC"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
